lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Norberto Meijome (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SOLR-632) Upgrade bundled Jetty with latest from vendor
Date Fri, 18 Jul 2008 06:38:32 GMT

    [ https://issues.apache.org/jira/browse/SOLR-632?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12614656#action_12614656
] 

Norberto Meijome commented on SOLR-632:
---------------------------------------

LK>Jetty explicitely removes all headers related to caching (except pragma) when calling
sendError() from SVN version 1917. I think that 
LK> removing the headers is a sensible thing to do, as they could instruct a cache to store
the error message.

+1

LK> I've filed a Jetty issue to set the Cache-Control header to explicitely prohibit caching
(https://jira.codehaus.org/browse/JETTY-646). If we want 
LK> to get the new Jetty version in with the 1.3 release then it's probably best to change
the failing unit test to verify that at least no header 
LK> instructing any caches to store the reply is set.

makes sense to me.

LK> OTOH, having Jetty change the headers on its own is probably going to require some

LK> changes to the HTTP caching code.

Is cache-control compulsory? if not, Jetty isnt' really breaking anything by not including
it, and not really that high priority for Jetty -  although having cache-control prohibiting
cache would be a more proper approach.

> Upgrade bundled Jetty with latest from vendor
> ---------------------------------------------
>
>                 Key: SOLR-632
>                 URL: https://issues.apache.org/jira/browse/SOLR-632
>             Project: Solr
>          Issue Type: Improvement
>    Affects Versions: 1.3
>            Reporter: Norberto Meijome
>            Assignee: Erik Hatcher
>            Priority: Minor
>             Fix For: 1.3
>
>   Original Estimate: 0.25h
>  Remaining Estimate: 0.25h
>
> The Jetty that is bundled for the example application is version 6.1.3, which is over
a year old.
> We should upgrade Jetty to the latest, 6.1.11.
> I am not sure how to attach a patch to remove files, so these are the steps :
> Using as base the root of 'apache-solr-nightly':
> DELETE:
> example/lib/jetty-6.1.3.jar
> example/lib/jetty-util-6.1.3.jar
> example/lib/servlet-api-2.5-6.1.3.jar
> ADD
> example/lib/jetty-6.1.11.jar
> example/lib/jetty-util-6.1.11.jar
> example/lib/servlet-api-2.5-6.1.11.jar
> ---
> The files to be added can be found in Jetty's binary distribution file :
> http://dist.codehaus.org/jetty/jetty-6.1.11/jetty-6.1.11.zip
> I couldn't find any noticeable changes in jetty.xml that should be carried over.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message